### Hierarchy

- IRequest

### Implemented by

- Request

## Index

### Properties

- cache
- data
- headers
- method
- params
- url

## Properties

### cache

cache: function

- Defined in Api.ts:16

#### Type declaration

- - (method: boolean): IRequest

  - #### Parameters

    - ##### method: boolean

    #### Returns IRequest

### data

data: function

- Defined in Api.ts:14

#### Type declaration

- - (method: any): IRequest

  - #### Parameters

    - ##### method: any

    #### Returns IRequest

### headers

headers: function

- Defined in Api.ts:13

#### Type declaration

- - (method: object): IRequest

  - #### Parameters

    - ##### method: object

      - ##### [s: string]: string

    #### Returns IRequest

### method

method: function

- Defined in Api.ts:11

#### Type declaration

- - (method: string): IRequest

  - #### Parameters

    - ##### method: string

    #### Returns IRequest

### params

params: function

- Defined in Api.ts:15

#### Type declaration

- - (method: object): IRequest

  - #### Parameters

    - ##### method: object

      - ##### [s: string]: string

    #### Returns IRequest

### url

url: function

- Defined in Api.ts:12

#### Type declaration

- - (method: string): IRequest

  - #### Parameters

    - ##### method: string

    #### Returns IRequest

Generated using TypeDoc